# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Class GphotoAccess.Value

    java.lang.Object
      com.google.gdata.data.photos.GphotoAccess.Value

Enclosing class:
  GphotoAccess

    public static final class GphotoAccess.Value

extends java.lang.Object

Access level.

Field Summary
`static java.lang.String` `PRIVATE` Unlisted album access.
`static java.lang.String` `PROTECTED` Protected album access.
`static java.lang.String` `PUBLIC` Public album access.

Constructor Summary
`GphotoAccess.Value()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRIVATE

    public static final java.lang.String PRIVATE

  Unlisted album access.

  See Also:
    Constant Field Values

### PROTECTED

    public static final java.lang.String PROTECTED

  Protected album access.

  See Also:
    Constant Field Values

### PUBLIC

    public static final java.lang.String PUBLIC

  Public album access.

  See Also:
    Constant Field Values

Constructor Detail

### GphotoAccess.Value

    public GphotoAccess.Value()